summaryrefslogtreecommitdiff
path: root/stage-queue
diff options
context:
space:
mode:
Diffstat (limited to 'stage-queue')
-rwxr-xr-xstage-queue68
1 files changed, 68 insertions, 0 deletions
diff --git a/stage-queue b/stage-queue
new file mode 100755
index 0000000..5f2e907
--- /dev/null
+++ b/stage-queue
@@ -0,0 +1,68 @@
+#! /usr/bin/env bash
+
+# Stage queued packages (see stage script for details).
+#
+usage="usage: etc/stage-queue"
+
+owd=`pwd`
+trap "{ cd $owd; exit 1; }" ERR
+set -o errtrace # Trap in functions.
+
+function info () { echo "$*" 1>&2; }
+function error () { info "$*"; exit 1; }
+
+while [ $# -gt 0 ]; do
+ case $1 in
+ *)
+ error "unexpected $1"
+ ;;
+ esac
+done
+
+# Generate package archives.
+#
+
+# These are currently pulled from cppget.org (we cannot have the same
+# versions in multiple places since archive checksums are not stable).
+#
+#etc/stage-pkg -Q -c -d curl packaging/curl/curl/libcurl
+#etc/stage-pkg -Q -c -d curl packaging/curl/curl/curl
+#etc/stage-pkg -Q -c -d curl packaging/curl/ca-certificates-curl/libca-certificates-curl
+
+#etc/stage-pkg -Q -c -d icu packaging/icu/icu/libicuuc
+#etc/stage-pkg -Q -c -d icu packaging/icu/icu/libicui18n
+#etc/stage-pkg -Q -c -d icu packaging/icu/icu/libicuio
+
+etc/stage-pkg -Q -c -d tinycbor packaging/tinycbor/tinycbor/libtinycbor
+
+etc/stage-pkg -Q -c -d xxd packaging/xxd/xxd/xxd
+etc/stage-pkg -Q -c -d byacc packaging/byacc/byacc/byacc
+etc/stage-pkg -Q -c -d reflex packaging/reflex/reflex/reflex
+etc/stage-pkg -Q -c -d openbsd-m4 packaging/openbsd-m4/openbsd-m4/openbsd-m4
+
+etc/stage-pkg -Q -c -d kconfig packaging/kconfig/kconfig/liblkc \
+ packaging/kconfig/kconfig/kconfig-conf \
+ packaging/kconfig/kconfig/kconfig-qconf
+
+etc/stage-pkg -Q -c -d xerces-c packaging/xerces-c/xerces-c/libxerces-c
+
+etc/stage-pkg -Q -c -d libcutl ../cutl/libcutl
+
+etc/stage-pkg -Q -c -d cli ../cli/cli/cli
+etc/stage-pkg -Q -c -d cli ../cli/cli/cli-tests
+etc/stage-pkg -Q -c -d cli ../cli/cli/cli-examples
+
+etc/stage-pkg -Q -c -d libxsd-frontend ../xsd/libxsd-frontend/
+
+etc/stage-pkg -Q -c -d xsd ../xsd/xsd/libxsd
+etc/stage-pkg -Q -c -d xsd ../xsd/xsd/libxsd-tests
+etc/stage-pkg -Q -c -d xsd ../xsd/xsd/xsd
+etc/stage-pkg -Q -c -d xsd ../xsd/xsd/xsd-tests
+etc/stage-pkg -Q -c -d xsd ../xsd/xsd/xsd-examples
+
+etc/stage-pkg -Q -c -d boost packaging/boost/boost/libboost-*/
+
+# Regenerate repository and publish.
+#
+etc/stage-pkg -Q -g --min-bpkg-version 0.13.0
+etc/stage-pkg -Q -p